Subject: Re: [MEXT] WGLC for draft-ietf-monami6-multiplecoa-05.txt

From: "M. Vanderveen" <[email-masked]>
Date: Fri, 22 Feb 2008 11:38:57 -0800 (PST)

Hello Vijay,

Regarding switching the mobile operation from regular (RFC-3775 compliant) to mcoa compliant: there is a paragraph on page 7 explaining how to fall back on regular operation. It is not obvious to me what the operation should be in the other case, where the mobile was operating under RFC-3775 only, and had registered a CoA without a BID, but then later on decides to register additional CoAs (one of which may or may not be the original CoA) with BIDs. 

Perhaps this can be added to the following paragraph:

"If there is an existing binding cache entry for the mobile

   node, and the if the BID in the Binding Update does not match the one

   with the existing entry, the home agent MUST create a new binding

   cache entry for the new care-of address and BID.
"

If the additional CoAs have BIDs, what is the HA to do with the original CoA that was not registered with a BID. Is this case even possible? Trivially,  if one of the additional CoAs actually matches the original one, then that binding cache can be updated to include a BID. Not sure if the original CoA is not included in this later mcoa BU.

Thanks
Michaela

      ____________________________________________________________________________________
Never miss a thing.  Make Yahoo your home page. 
http://www.yahoo.com/r/hs
_______________________________________________
MEXT mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/mext

---

From: RYUJI WAKIKAWA <[email-masked]>
Date: Tue, 26 Feb 2008 10:34:20 +0900

Hi Michaela

thanks for comments.

On 2008/02/23, at 4:38, M. Vanderveen wrote:

>
> Hello Vijay,
>
>
>
> Regarding switching the mobile operation from regular (RFC-3775  
> compliant) to mcoa compliant: there is a paragraph on page 7  
> explaining how to fall back on regular operation. It is not obvious  
> to me what the operation should be in the other case, where the  
> mobile was operating under RFC-3775 only, and had registered a CoA  
> without a BID, but then later on decides to register additional CoAs  
> (one of which may or may not be the original CoA) with BIDs.

see section 5.9: Bootstrapping.
The MN sends BU with O flag set so that it can replace the regular  
binding with MCoA-bindings.

Otherwise, according to section 6.3, HA rejects BU.
       *  If the receiver has a regular binding which does not have BID
          for the mobile node, it must not process the binding update.
          The receiver should sent a binding acknowledgement with status
          set to [MCOA BID CONFLICT].

> If the additional CoAs have BIDs, what is the HA to do with the  
> original CoA that was not registered with a BID. Is this case even  
> possible?

The HA rejects the MCoA-BU and expects another BU with O flag set.

regards
ryuji

> Trivially,  if one of the additional CoAs actually matches the  
> original one, then that binding cache can be updated to include a  
> BID. Not sure if the original CoA is not included in this later mcoa  
> BU.
>
> Thanks
> Michaela
>
>
>
>
>
>
>
>
>
>
>
>